Payments
Requires permission View payments.
- : Access Younium API
Filter the results. See developer resources for more information. On endpoints whose entity supports
custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or
customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be
combined with and.
name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')Sorting the results. See developer resources for more information
accountNumber DescApply a separate modified After filter. See 'ModifiedBefore' filter for further details.
2026-09-01Filter is also applied on sub entities: 'paymentSettlements' and 'writeOffs'
2026-09-01Page Size
20Page Number
1Success
Bad Request.
Unauthorized
Forbidden
GET /Payments HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"pageNumber": 1,
"pageSize": 1,
"totalPages": 1,
"totalCount": 1,
"nextPage": "https://example.com",
"previousPage": "https://example.com",
"firstPage": "https://example.com",
"lastPage": "https://example.com",
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"payerName": "text",
"payerInformation": "text",
"paymentDate": "2026-01-01T00:00:00.000Z",
"postedDate": "2026-01-01T00:00:00.000Z",
"reference": "text",
"description": "text",
"amount": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"bankFeeAmount": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"exchangeRate": 1,
"paymentAccount": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"description": "text",
"externalERPId": "text",
"externalCRMId": "text"
},
"BankFeeAccount": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"description": "text",
"externalERPId": "text",
"externalCRMId": "text"
},
"paymentMethodName": "text",
"paymentMethodId": "123e4567-e89b-12d3-a456-426614174000",
"paymentBatchNumber": "text",
"paymentBatchId": "123e4567-e89b-12d3-a456-426614174000",
"paymentSettlements": [
{
"amount": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"invoice": {
"account": {
"name": "text",
"accountNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"invoiceNumber": "text",
"status": "Draft",
"invoiceDate": "2026-01-01T00:00:00.000Z",
"dueDate": "2026-01-01T00:00:00.000Z",
"buyerReference": "text",
"ocrNumber": "text",
"currency": "text",
"subtotal": 1,
"tax": 1,
"totalAmount": 1,
"settledAmount": 1,
"externalERPId": "text",
"externalCRMId": "text"
},
"writeOffs": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"amount": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"postingText": "text",
"financialAccount": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"description": "text",
"externalERPId": "text",
"externalCRMId": "text"
}
}
]
}
],
"paymentWriteOffs": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"amount": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"postingText": "text",
"financialAccount": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"description": "text",
"externalERPId": "text",
"externalCRMId": "text"
}
}
],
"externalBankId": "text",
"onlinePaymentIntentId": "text",
"onlinePaymentChargeId": "text"
}
]
}Requires permission Create payments.
- : Access Younium API
Created
No content
Bad Request.
Unauthorized
Forbidden
POST /Payments HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 393
{
"paymentDate": "2026-01-01T00:00:00.000Z",
"currency": "SEK",
"amount": 1,
"bankFeeAmount": 1,
"exchangeRate": 1,
"baseCurrencyAmount": 1,
"paymentAccount": "1510",
"BankFeeAccount": "1510",
"paymentMethod": "Standard",
"paymentWriteOffs": [
{
"amount": 1,
"postingText": "text",
"financialAccount": "1510"
}
],
"payerName": "text",
"payerInformation": "text",
"reference": "text",
"description": "text",
"externalBankId": "text"
}No content
Requires permission View payments.
- : Access Younium API
Success
Bad Request.
Unauthorized
Forbidden
Not Found
GET /Payments/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"payerName": "text",
"payerInformation": "text",
"paymentDate": "2026-01-01T00:00:00.000Z",
"postedDate": "2026-01-01T00:00:00.000Z",
"reference": "text",
"description": "text",
"amount": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"bankFeeAmount": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"exchangeRate": 1,
"paymentAccount": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"description": "text",
"externalERPId": "text",
"externalCRMId": "text"
},
"BankFeeAccount": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"description": "text",
"externalERPId": "text",
"externalCRMId": "text"
},
"paymentMethodName": "text",
"paymentMethodId": "123e4567-e89b-12d3-a456-426614174000",
"paymentBatchNumber": "text",
"paymentBatchId": "123e4567-e89b-12d3-a456-426614174000",
"paymentSettlements": [
{
"amount": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"invoice": {
"account": {
"name": "text",
"accountNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"invoiceNumber": "text",
"status": "Draft",
"invoiceDate": "2026-01-01T00:00:00.000Z",
"dueDate": "2026-01-01T00:00:00.000Z",
"buyerReference": "text",
"ocrNumber": "text",
"currency": "text",
"subtotal": 1,
"tax": 1,
"totalAmount": 1,
"settledAmount": 1,
"externalERPId": "text",
"externalCRMId": "text"
},
"writeOffs": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"amount": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"postingText": "text",
"financialAccount": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"description": "text",
"externalERPId": "text",
"externalCRMId": "text"
}
}
]
}
],
"paymentWriteOffs": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"amount": {
"amount": 1,
"currencyCode": "text",
"currencyConversionDate": "2026-01-01T00:00:00.000Z",
"baseCurrencyAmount": 1,
"baseCurrencyCode": "text"
},
"postingText": "text",
"financialAccount": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"description": "text",
"externalERPId": "text",
"externalCRMId": "text"
}
}
],
"externalBankId": "text",
"onlinePaymentIntentId": "text",
"onlinePaymentChargeId": "text"
}Update Payment details and Add, remove or edit payment settlements and write offs.
Requires permission Update payments.
- : Access Younium API
Success
No content
Bad Request.
Unauthorized
Forbidden
PATCH /Payments/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 463
{
"paymentDate": "2026-01-01T00:00:00.000Z",
"paymentWriteOffs": [
{
"operation": "Change",
"writeOff": "GUID",
"amount": 1,
"postingText": "text",
"financialAccount": "1510"
}
],
"paymentSettlements": [
{
"operation": "Change",
"invoice": "IP-000001",
"amount": 1,
"writeOffs": [
{
"operation": "Change",
"writeOff": "GUID",
"amount": 1,
"postingText": "text",
"financialAccount": "1510"
}
]
}
],
"payerName": "text",
"payerInformation": "text",
"reference": "text",
"description": "text",
"externalBankId": "text"
}No content
Requires permission Create payments.
- : Access Younium API
Created
Bad Request.
Unauthorized
Forbidden
POST /Payments/CreateAndPost HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 223
{
"invoice": {
"key": "text",
"value": "text"
},
"description": "text",
"paymentDate": "2026-01-01T00:00:00.000Z",
"amount": 1,
"bankFeeAmount": 1,
"exchangeRate": 1,
"baseCurrencyAmount": 1,
"paymentAccount": "1510",
"paymentMethod": "Standard"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"message": "text"
}Last updated